﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

using System.Windows.Messaging;

namespace LocalMessageCS.MenuBar
{
    public partial class MainPage : UserControl
    {
        //メッセージ送信インスタンス
        LocalMessageSender messageSender = new LocalMessageSender("receiver1");

        //コンストラクタ
        public MainPage()
        {
            InitializeComponent();
        }

        //メニュークリック時のイベント・ハンドラ
        private void Menu_Click(object sender, RoutedEventArgs e)
        {
            //メッセージ送信インスタンスで、クリックされたメニューの
            //名前をメッセージとして送信する
            messageSender.SendAsync((sender as Button).Name);

            //選択状態のスタイルを設定する
            SetSelectedStyle(sender as Button);
        }

        //選択状態のスタイルを設定
        private void SetSelectedStyle(Button button)
        {
            foreach (Button b in Menu.Children)
            {
                //スタイル名の判定する
                string styleKey = "Menu";
                if (b == button)
                    styleKey = "MenuSelected";

                //動的にスタイルを設定する
                b.Style = this.Resources[styleKey] as Style;
            }
        }
    }
}
